List Orders
curl -X GET "https://sandbox-api.aparatech.io/v1/public/orders?limit=10&page=1&status=example_string&orderType=payin" \
-H "Content-Type: application/json" \
-H "MID: example_string"
import requests
import json
url = "https://sandbox-api.aparatech.io/v1/public/orders?limit=10&page=1&status=example_string&orderType=payin"
headers = {
"Content-Type": "application/json",
"MID": "example_string"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://sandbox-api.aparatech.io/v1/public/orders?limit=10&page=1&status=example_string&orderType=payin", {
method: "GET",
headers: {
"Content-Type": "application/json",
"MID": "example_string"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://sandbox-api.aparatech.io/v1/public/orders?limit=10&page=1&status=example_string&orderType=payin", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("MID", "example_string")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://sandbox-api.aparatech.io/v1/public/orders?limit=10&page=1&status=example_string&orderType=payin')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['MID'] = 'example_string'
response = http.request(request)
puts response.body
{
"status": "success",
"data": {
"transfers": [
{
"id": "OR-2604140519116966010",
"status": "initiated",
"orderType": "payin",
"source": {
"currency": "USD",
"amount": "173"
},
"userId": "OCUX-260413095508282186",
"purposeCode": "payin_top_ups",
"purposeCodeReason": "payin account top-up for online casino platform credits",
"mid": "TAOLFT_NA_NA",
"senderName": {
"firstName": "Dinnn",
"lastName": "kart"
},
"createdAt": "2026-04-14T05:19:12.271Z",
"updatedAt": "2026-04-14T05:19:12.271Z"
}
],
"pagination": {
"total": 147,
"pages": 147,
"currentPage": 1,
"limit": 1,
"hasNext": true,
"hasPrev": false
}
}
}
GET
/v1/public/orders
GET
Base URLstring
Target server for requests. Edit to use your own host.
query
limitinteger
Number of results per page.
query
pageinteger
Page number for pagination.
query
statusstring
Filter orders by status.
query
orderTypestring
Filter orders by type — payin, payout, or fiat_prefund.
Options: payin, payout, fiat_prefund
header
MIDstring
RequiredMerchant ID for authentication.
Request Preview
Response
Response will appear here after sending the request
Query Parameters
limitinteger
Number of results per page.
pageinteger
Page number for pagination.
statusstring
Filter orders by status.
orderTypestring
Filter orders by type — payin, payout, or fiat_prefund.
Allowed values:
payinpayoutfiat_prefundHeaders
MIDstring
RequiredMerchant ID for authentication.
Responses
statusstring
dataobject
Was this page helpful?